Subject: [PATCH V3 11/11] ARM: delete struct sys_timer

From: [email-masked] (Stephen Warren)
Date: Fri, 07 Dec 2012 10:08:20 -0700

On 12/07/2012 02:51 AM, Igor Grinberg wrote:
> Hi Stephen,
> 
> I've only now bumped into the patchset (working the back log on linux-arm).
> Sorry for late reply, but I guess you should have Cc'd the relevant
> mailing lists with such changes.
> Cc'd now.

Perhaps. There's a trade-off with spamming tens of subarch lists though,
and the OMAP maintainer and LAKML were CC'd.

> On 11/19/12 20:31, Stephen Warren wrote:
>> Now that the only field in struct sys_timer is .init, delete the struct,
>> and replace the machine descriptor .timer field with the initialization
>> function itself.
>>
>> This will enable moving timer drivers into drivers/clocksource without
>> having to place a public prototype of each struct sys_timer object into
>> include/linux; the intent is to create a single of_clocksource_init()
>> function that determines which timer driver to initialize by scanning
>> the device dtree, much like the proposed irqchip_init() at:
>> http://www.spinics.net/lists/arm-kernel/msg203686.html
...
>> The patch is very large, so I've trimmed it for the mailing list, leaving
>> only the core ARM changes, changes outside arch/arm, and a single machine
>> example. The full series can be found at:
>>
>> git://nv-tegra.nvidia.com/user/swarren/linux-2.6 arm_timer_rework
...
> I've looked at the omap2+ changes and I think OMAP4 and 5 got messed up a bit...
> the below (compile tested on omap2plus only) should be applied:

Thanks; your patch looks correct. I'll fold it into my series.